package it.inaf.oats.ia2.tap.tsm.model;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public interface IDbEntitiesContainer {

    //public List<IDbEntity> getAdded();
    public ArrayList<String> getAddables();

    //public boolean canAdd();
    public void loadEntities(Connection connection, ArrayList<String> selectedEntities) throws SQLException;

    public void addEntity(String name, IDbEntity entity);
    
    public void removeEntity(String name);

    public ArrayList<IDbEntity> getAllEntities();
    
    public IDbEntity getSelected();
    
    public void select(String name);
}
