<%-- 
    Document   : index.jsp
    Created on : Dec 10, 2015, 3:14:39 PM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page import="it.inaf.oats.ia2.tap.tsm.pagemodel.Tab"%>
<%@page import="it.inaf.oats.ia2.tap.tsm.pagemodel.SchemaPage"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<t:basepage title="Test">

    <h1>Title</h1>

    <ul class="nav nav-tabs" id="schemas" role="tablist">
        <t:tab selector="tapSchema"></t:tab>
            <li>
                <a role="tab" class="plus-tab">
                    <span class="glyphicon glyphicon-plus-sign"></span>
                </a>
            </li>
        </ul>

        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active">
                <div class="schema-info clearfix">
                    <div class="form-horizontal" id="schemaValues">
                        <div class="form-group">
                            <label for="schema-utype" class="col-sm-2 control-label">Schema utype</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" data-edit="utype" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="schema-description" class="col-sm-2 control-label">Schema description</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" data-edit="description" />
                            </div>
                        </div>
                    </div>
                </div>

                <ul class="nav nav-tabs" id="tables" role="tablist">
                <t:tab selector="schema"></t:tab>
                    <li>
                        <a role="tab" class="plus-tab">
                            <span class="glyphicon glyphicon-plus-sign"></span>
                        </a>
                    </li>
                </ul>

                <div class="tab-content">
                    <div class="schema-info clearfix">
                        <div class="form-horizontal" id="tableValues">
                            <div class="form-group">
                                <label for="schema-utype" class="col-sm-2 control-label">Table utype</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" data-edit="utype" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="schema-description" class="col-sm-2 control-label">Table description</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" data-edit="description" />
                                </div>
                            </div>
                        </div>
                    </div>

                    <div>
                        <div class="columns-header">
                            <div class="columns-header-name">
                                Columns&nbsp;
                                <button class="btn btn-success">
                                    <span class="glyphicon glyphicon-plus-sign"></span>
                                </button>
                            </div>
                            <div class="columns-header-properties">
                                Column properties
                                <span class="icon-key text-danger" title="Primary key" id="primaryKeyIcon"></span>
                                <span class="icon-key text-success" title="Foreign key" id="foreignKeyIcon"></span>
                            </div>
                        </div>
                        <div class="columns-wrapper">
                            <div class="columns-selector">
                                <ul class="nav nav-pills" id="columns">
                                    <li role="presentation">
                                        <a data-selector="table">
                                            <button class="btn btn-link">
                                                <span class="glyphicon glyphicon-remove-sign"></span>
                                            </button>
                                            <span class="columnName"></span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="column-info">
                                <div id="columnValues">
                                    <div class="form-group">
                                        <label for="utype" class="control-label">UType:</label>
                                        <input type="text" id="utype" name="utype" class="form-control" data-edit="utype" />
                                    </div>
                                    <div class="form-group">
                                        <label for="ucd" class="control-label">UCD:</label>
                                        <input type="text" id="ucd" name="ucd" class="form-control clickable-input" data-edit="ucd" />
                                    </div>
                                    <div class="form-group">
                                        <label for="unit" class="control-label">Unit:</label>
                                        <input type="text" id="unit" name="unit" class="form-control" data-edit="unit" />
                                    </div>
                                    <div class="form-group">
                                        <label for="description" class="control-label">Description:</label>
                                        <input type="text" id="description" name="description" class="form-control" data-edit="description" />
                                    </div>
                                    <div class="form-group">
                                        <label for="datatype" class="control-label">Datatype:</label>
                                        <input type="text" id="datatype" name="datatype" class="form-control" data-edit="datatype" />
                                    </div>
                                    <div class="form-group">
                                        <label for="size" class="control-label">Size</label>
                                        <input type="number" id="size" name="size" class="form-control" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div id="selectorModal"></div>
</t:basepage>
