package it.inaf.oats.ia2.tap.tsm.pagemodel;

import it.inaf.oats.ia2.tap.tsm.model.IDbEntity;
import it.inaf.oats.ia2.tap.tsm.model.Status;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class Tab {

    private final String title;
    private final boolean toRemove;
    private final boolean active;

    public Tab(IDbEntity dbEntity, boolean active) {
        this.title = dbEntity.getName();
        this.toRemove = dbEntity.getStatus() == Status.TO_REMOVE;
        this.active = active;
    }
    
    public String getTitle() {
        return title;
    }
}
